Package Details: wingpanel-indicator-datetime-git 2.2.5.r47.g89a2496-1

Git Clone URL: https://aur.archlinux.org/wingpanel-indicator-datetime-git.git (read-only, click to copy)
Package Base: wingpanel-indicator-datetime-git
Description: Date & Time indicator for Wingpanel
Upstream URL: https://github.com/elementary/wingpanel-indicator-datetime
Licenses: GPL3
Groups: pantheon-unstable
Conflicts: wingpanel-indicator-datetime
Provides: wingpanel-indicator-datetime
Submitter: alucryd
Maintainer: SolarAquarion
Last Packager: SolarAquarion
Votes: 2
Popularity: 0.002416
First Submitted: 2017-05-01 15:35
Last Updated: 2021-02-21 04:56

Latest Comments

quequotion commented on 2021-04-17 11:11

This doesn't need to depend on -git versions of granite or wingpanel; this makes it hard for people to build the package (some aur helpers might figure it out, some don't; the use case that should be supported is without an aur helper).

In order to build the package in a clean chroot, it should depend on pacakges that can be provided by an official repository. Luckily, those packages are available these days (granite and wingpanel in [extra]) and the package builds against them (quite some time ago, that may not have been true).

Switch those two dependencies to their "stable release" versions.

-makedepends=('git' 'granite-git' 'meson' 'vala' 'wingpanel-git' 'libhandy')
+makedepends=('git' 'granite' 'meson' 'vala' 'wingpanel' 'libhandy')

Note: This will not interfere with the upcoming switch to libwingpanel-3.0. In theory, when there is a new, stable release of wingpanel, then libwingpanel-3.0 will be provided by the wingpanel package in [extra]. As of yet, this will build safely against either 2.0 or 3.0, although I believe this change makes the switch official.

btd1337 commented on 2020-11-06 21:33

It needs update to support libwingpanel-3.0.so

https://aur.archlinux.org/cgit/aur.git/tree/PKGBUILD?h=wingpanel-git

nika commented on 2018-12-12 19:35

error: target not found: libgala.so